<? $DEFINITIONS = Zend_Registry::get('defines') ?>

<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>

<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<style type="text/css">
	@import url('/css/Autocompleter.css');
</style>

<!--<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>-->
<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>
<script type="text/javascript">
Cubix.Grid.DataTypes.PreviewLink.baseUrl = '<?= Cubix_Application::getById()->url . '/escort' ?>';
</script>

<!-- Escort Photos Popup class -->
<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>

<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/passwordmeter.css') ?>

<script type="text/javascript">
document.addEvent('domready', function () {
	new Cubix.Shadow($('content'));

	var getFilterParams = function () {
		sform = 'a-search-form';
		var uri = new URI('?' + $(sform).toQueryString());

		return uri.get('data');
	};

	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 500
	});
    var popupEdit = new Cubix.Popup.Ajax({
        abar: [
            { caption: 'Save', icon: 'accept', action: function (result) {
                    (Cubix.Popup.Actions.SaveValid.bind(this))(function (result) {
                        grid.load();
                    });
                } },
            { caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
        ],
        width: 750,
        zIndex: function () { return Cubix.Popup.zIndex + 8 }
    });
	popup.addEvent('loaded', function () {

	});

	var menu = new ActionsMenu([
        { name: 'details', icon: 'details', caption: 'Detalis', func: function (data) {
                popup.setTitle('More info');
                popup.load('<?= $this->baseUrl() ?>/escorts-v2/anti-fraud-history?id=' + data.id, function () {
                    this.open();
                });
            } },

    ], { icon: 'details', mode: 'details' });

	/* don't forget to assign Cubix.Grid.Instance when using Cubix.Popup.Actions.Save */

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		id: 'anti-fraud',
		identifier: { field: 'id' },
		header: [
			<? if ( Model_Users::can('edit-escort-profile') ): ?>{ title: '<input type="checkbox" id="select-all" />', field: '', type: 'Checkbox', width: '15px' },<? endif ?>
			// { title: 'Activate', field: 'is_active', type: 'ActivateUser', width: '70px' },
			
			{ title: 'ID', field: 'combined_id', type: 'number', sortable: false, width: '50px' },
			{ title: 'Type', field: 'user_type', type: 'string', sortable: false },
			{ title: 'Username', field: 'username', type: 'string', sortable: false },
			// { title: 'Email', field: 'email', type: 'string', sortable: false },
			{ title: 'Creation Date', field: 'creation_date', type: 'DateTime', sortable: true },
			{ title: 'Login Date', field: 'last_login_date', type: 'DateTime', sortable: false },
			{ title: 'w. Country', field: 'title_en', type: 'string', sortable: false },
			{ title: 'Sign up', field: 'registered_ip', type: 'GeoFlagRegIP', sortable: false },
			{ title: 'Sign in', field: 'last_ip_country', type: 'GeoFlagLastIP', sortable: false },
			{ title: 'City', type: 'GeoStatusCity', sortable: false },
			{ title: 'IP', type: 'GeoStatusIP', sortable: false },
			// { title: '', field: 'app_iso', type: 'ApplicationFlag', width: '19px' },

		],
		sort: {
			field: 'last_login_date',
			dir: 'desc'
		},
		actions: [{ type: 'details', mouseenter: function (data, btn) {
                menu.show(btn, data);
            } }
        ],
		data: new Cubix.Grid.Loader({ url: '/escorts-v2/anti-fraud-data', params: getFilterParams })
	});

	if ( $('btn-delete') )
	new Cubix.Button($('btn-delete'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids ) {
			if ( confirm('Are you sure you want to delete selected row(s)?') ) {
				new Request({
					url: '/escorts-v2/delete',
					data: ids,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		}
		else {
			alert('Please select some row(s) to perform action with !');
		}
	}, icon: 'msg_remove', caption: 'Delete', classes: '' });

	function getCheckedIds()
	{
		var ids = '';
		$$('#cx-grid input[type=checkbox]').each(function(it){
			if ( it.get('id') != 'select-all' && it.get('checked') )
				ids += 'id[]=' + it.value + '&';
		});

		return ids;
	}
	
	function getCheckedIds2()
	{
		var ids = '';
		$$('#cx-grid input[type=checkbox]').each(function(it){
			if ( it.get('id') != 'select-all' && it.get('checked') )
				ids += 'user_id[]=' + it.value + '&';
		});

		return ids;
	}

	grid.addEvent('loaded', function () {

		$$('.cx-grid-type-ActivateUser a').addEvent('click', function (e) {
			e.stop();

			grid.overlayDisable();

			new Request({
				url: this.get('href'),
				method: 'get',
				onSuccess: function() {
					grid.overlayEnable();

					grid.load();
				}
			}).send();
		});

		if ( $('select-all') ) {
			$('select-all').set('checked', '');

			$('select-all').addEvent('click', function() {
				if ( this.get('checked') )
				{
					$$('#cx-grid input[type=checkbox]').each(function(it){
						if ( it.get('id') != 'select-all' )
							it.set('checked', 'checked');
					});
				}
				else
				{
					$$('#cx-grid input[type=checkbox]').each(function(it){
						if ( it.get('id') != 'select-all' )
							it.set('checked', '');
					});
				}
			});
		}
	});

	window.grid = grid;

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.setPage(1);
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

		
	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var activateUsers = function(status) {
		var ids = getCheckedIds();
		var actionName = "activate";
		if ( ids.length == 0 ) {
			alert('Please, select user');
			return;
		}
	
		if (status == -6){
			actionName = "fraud";
		}
		if ( confirm('Are you sure you want to mark as "'+ actionName +'" these users?') ) {
			grid.overlay.disable();
			new Request({
				url: 'activate-user?status=' + <?= USER_STATUS_FRAUD  ?> + '&' + ids,
				method: 'get',
				onSuccess: function(){
					grid.load();
				}
			}).send();
		}
	}
	
	// new Cubix.Button($('btn-activate'), { onClick: function () {
	// 	activateUsers(1);
	// }, icon: 'accept', caption: 'Activate', classes: 'ml20' });

	new Cubix.Button($('btn-disable'), { onClick: function () {
		activateUsers(<?= USER_STATUS_FRAUD  ?>);
	}, icon: 'accept-disabled', caption: 'Mark as Fraud', classes: 'ml20' });
	
	// new Cubix.Button($('btn-status-delete'), { onClick: function () {
	// 	activateUsers(-5);
	// }, icon: 'delete', caption: 'Delete', classes: 'ml20' });

	var qEmail = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'msg_send', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 390,
		zIndex: function () { return Cubix.Popup.zIndex + 12 }
	});
	window.qEmail = qEmail;
	
	window.qEmail.addEvent('loaded', function () {		
		if ($('email_template'))
			$('email_template').addEvent('change', function(e) {
				e.stop();

				var id = $('email_template').get('value');
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/emailtemplates/get?id=' + id,
					onSuccess: function (resp) {
						resp = JSON.decode(resp);
						$('from').set('value', resp.from);
						$('subject').set('value', resp.subject);
						$('message').set('html', resp.body);
						$('email_signature').set('html', resp.signature);
					}.bind(this)
				}).send();
			});
	});

	new Cubix.Button($('btn-send-mail'), { onClick: function () {
		var ids = getCheckedIds2();

		if ( ids ) {
			window.qEmail.setTitle('Send Bulk E-mails');
			window.qEmail.load('<?= $this->baseUrl() ?>/index/quick-email?escort=1&' + ids.split(','), function () {
				this.open();
			});
		}
		else {
			alert('Please select some row(s) to perform action with !');
		}
	}, icon: 'msg_send', caption: 'MAIL', classes: 'ml10' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(it) {
			if ( it.get('name') != 'filter_by' && it.get('name') != 'dates_defined' ) {
				it.addEvent('change', function(){
					grid.load();
				});
			}
		});
	};

	initFormSubmit();
	
});
</script>

<style type="text/css">
	#toggle-advanced-search {
		display:block;
		margin: 0 0 10px 0;
		padding-left:18px;
		width:130px;
		outline:none;
	}
	#toggle-advanced-search.opened { background: url("../img/minus.png") no-repeat 0px 51%; }
	#toggle-advanced-search.closed { background: url("../img/plus.png") no-repeat 0px 51%; }


</style>

<div class="form-common gray c-filter-form">
	<form id="a-search-form">
		<div id="advanced-search">

			<div class="fleft">
				<fieldset class="inner mb10">
					<legend>User Data</legend>
					<div class="inner">
						<label for="f-username">Username</label>
						<input id="f-username" type="text" class="txt w18" name="username" value="<?= $this->filter_params['username'] ?>" />
					</div>
					<div class="inner">
						<label for="f-email">Email</label>
						<input id="f-email" type="text" class="txt w18" name="email" value="<?= $this->filter_params['email'] ?>" />
					</div>
					<div class="inner">
						<?
							if( /*Cubix_Application::getId() == APP_ED || */Cubix_Application::getId() == 33 || Cubix_Application::getId() == 22 ) {
								$user_types = array(
									'escort' => 'Escort',
								);
							}
							else {
								$user_types = array(
									'agency' => 'Agency',
									'escort' => 'Escort',
									'member' => 'Member'
								);
							}
						?>
						<label for="f-type">User Type</label>
						<select name="user_type" id="f-type" class="w12">
							<option value="">-</option>
							<? foreach ( $user_types as $k => $user_type ): ?>
							<option value="<?= $k ?>"><?= $user_type ?></option>
							<? endforeach; ?>
						</select>
					</div>
				<!-- 	<div class="inner">
						<label for="f-status">Status</label>
						<select name="status" id="f-status" class="w12">
							<option value="<?= USER_STATUS_NOT_VERIFIED ?>">Not verified</option>
							<option value="<?= USER_STATUS_DISABLED ?>">Disabled</option>
							<option value="<?= USER_STATUS_DELETED	 ?>">Deleted</option>
						</select>	
					</div> -->
					<div class="clear"></div>
				</fieldset>

				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
	</form>

	<a id="btn-refresh"></a>
	<a id="btn-reset"></a>
	<a id="btn-activate"></a>
	<a id="btn-disable"></a>
	<a id="btn-status-delete"></a>
	<a id='btn-send-mail'></a>
	<div class="clear"></div>

</div><!-- form-common -->

<? if ( Model_Users::can('edit-escort-profile') ): ?>
<!--
<div class="mt10 fleft">
	<a id='btn-delete'></a>
	<div class="clear"></div>
</div>
-->
<? endif ?>
<!--
<div id="grid-show-count" class="fleft"><span></span> - Escorts Found</div>
-->
<div class="clear"></div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
